This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 641458 - vmstat incorrectly reports disk IO as swap in [rhel-6.0.z]
vmstat incorrectly reports disk IO as swap in [rhel-6.0.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Frantisek Hrbata
Red Hat Kernel QE team
: ZStream
Depends On: 636978
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-08 14:56 EDT by Benjamin Kahn
Modified: 2013-01-09 18:13 EST (History)
13 users (show)

See Also:
Fixed In Version: kernel-2.6.32-71.4.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, the vmstat (virtual memory statistics) tool incorrectly reported the disk I/O as swap-in on ppc64 and other architectures that do not support the TRANSPARENT_HUGEPAGE configuration option in the kernel. With this update, the vmstat tool no longer reports incorrect statistics and works as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:11:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kahn 2010-10-08 14:56:42 EDT
This bug has been copied from bug #636978 and has been proposed
to be backported to 6.0 z-stream (EUS).
Comment 2 Frantisek Hrbata 2010-10-12 14:53:18 EDT
in kernel-2.6.32-71.4.1.el6
Comment 5 chen yuwen 2010-10-29 00:24:28 EDT
Verified in kernel-2.6.32-71.6.1.el6.ppc64.
No issue on  x86_64 system with kernel 2.6.32-23.el6.x86_64
Comment 6 chen yuwen 2010-10-29 05:00:28 EDT
Verified in kernel-2.6.32-71.8.1.el6.s390x.
...
numa_other 11353
nr_anon_transparent_hugepages 0
pgpgin 117800
pgpgout 13704
pswpin 0
pswpout 0
...

Verified in kernel-2.6.32-71.8.1.el6.i686.
...
nr_anon_transparent_hugepages 0
pgpgin 77639
pgpgout 603659
pswpin 0
pswpout 0

...
Comment 8 errata-xmlrpc 2010-11-10 14:11:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html
Comment 9 Martin Prpic 2010-11-11 07:01:55 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the vmstat (virtual memory statistics) tool incorrectly reported the disk I/O as swap-in on ppc64 and other architectures that do not support the TRANSPARENT_HUGEPAGE configuration option in the kernel. With this update, the vmstat tool no longer reports incorrect statistics and works as expected.

Note You need to log in before you can comment on or make changes to this bug.